Hello all,

I'm running Docker on a SLES 12SP3 machine. The machine is registered with SUSEConnect, and has the Containers module installed.

When running a container from the Docker image for SLES 11SP4, I can't find via zypper many of the packages that I find on the host or on other SLES 11SP4 machines.

For example, one package that I can't find is zlib-devel. I need that and a few others in order to compile the latest python.

The repos I have inside the contaier:
Code:
bash-3.2# zypper repos
Refreshing service 'container-suseconnect'.
Adding repository 'SLE11-Public-Cloud-Module for sle-11-x86_64' [done]
Adding repository 'SLE11-SP4-Debuginfo-Pool for sle-11-x86_64' [done]
Adding repository 'SLE11-SP4-Debuginfo-Updates for sle-11-x86_64' [done]
Adding repository 'SLE11-Security-Module for sle-11-x86_64' [done]
Adding repository 'SLES11-Extras for sle-11-x86_64' [done]
Adding repository 'SLES11-SP4-Pool for sle-11-x86_64' [done]
Adding repository 'SLES11-SP4-Updates for sle-11-x86_64' [done]
# | Alias                                             | Name                                          | Enabled | Refresh
--+---------------------------------------------------+-----------------------------------------------+---------+--------
1 | container-suseconnect:SLE11-Public-Cloud-Module   | SLE11-Public-Cloud-Module for sle-11-x86_64   | No      | Yes    
2 | container-suseconnect:SLE11-SP4-Debuginfo-Pool    | SLE11-SP4-Debuginfo-Pool for sle-11-x86_64    | No      | No     
3 | container-suseconnect:SLE11-SP4-Debuginfo-Updates | SLE11-SP4-Debuginfo-Updates for sle-11-x86_64 | No      | Yes    
4 | container-suseconnect:SLE11-Security-Module       | SLE11-Security-Module for sle-11-x86_64       | No      | Yes    
5 | container-suseconnect:SLES11-Extras               | SLES11-Extras for sle-11-x86_64               | No      | Yes    
6 | container-suseconnect:SLES11-SP4-Pool             | SLES11-SP4-Pool for sle-11-x86_64             | Yes     | No     
7 | container-suseconnect:SLES11-SP4-Updates          | SLES11-SP4-Updates for sle-11-x86_64          | Yes     | Yes
And on a normal (I think it's normal, I didn't set it up) SLES 11SP4 machine I have:

Code:
$ zypper repos
# | Alias                                            | Name                                             | Enabled | Refresh
--+--------------------------------------------------+--------------------------------------------------+---------+--------
1 | SUSE-Linux-Enterprise-Server-11-SP4 11.4.4-1.109 | SUSE-Linux-Enterprise-Server-11-SP4 11.4.4-1.109 | Yes     | Yes